﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ICP.Reporting.WPFReportViewer.Windows
{
    /// <summary>
    /// Interaction logic for Report_Gebruikers_Status.xaml
    /// </summary>
    public partial class Report_Gebruikers_Status : Window
    {
        public Report_Gebruikers_Status()
        {
            InitializeComponent();

            CultureInfo ci = CultureInfo.CreateSpecificCulture(CultureInfo.CurrentCulture.Name);
            ci.DateTimeFormat.ShortDatePattern = "dd/MM/yyyy";
            ci.DateTimeFormat.DateSeparator = "-";
            Thread.CurrentThread.CurrentCulture = ci;

            //CultureInfo ci = new CultureInfo(Thread.CurrentThread.CurrentCulture.Name);
            //ci.DateTimeFormat.ShortDatePattern = "MM-dd-yyyy";
            //ci.DateTimeFormat.DateSeparator = "-";
            //Thread.CurrentThread.CurrentCulture = ci;

            datePickerBeginDatum.DisplayDate = DateTime.Today.AddDays(-7);
            datePickerBeginDatum.SelectedDate = DateTime.Today.AddDays(-7);
            datePickerEindDatum.DisplayDate = DateTime.Today.AddDays(-1);
            datePickerEindDatum.SelectedDate = DateTime.Today.AddDays(-1);
        }

        private void Button_Refresh_Click(object sender, RoutedEventArgs e)
        {
            this.xamReportViewer1.Refresh();
        }
    }
}
